Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class StackGuard

    java.lang.Object
      |
      +--org.apache.xalan.transformer.StackGuard

public class StackGuard
extends java.lang.Object

Class to guard against recursion getting too deep.

Constructor Summary
`StackGuard()`
`StackGuard(ElemTemplateElement xslTemplate, Node sourceXML)`

Method Summary
`void` | `checkForInfinateLoop(StackGuard guard)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getRecursionLimit()` Get the recursion limit.
`void` | `pop()`
`void` | `print(java.io.PrintWriter pw)`
`void` | `push(ElemTemplateElement xslTemplate, Node sourceXML)`
`void` | `setRecursionLimit(int limit)` Get the recursion limit.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackGuard

    public StackGuard()

### StackGuard

    public StackGuard(ElemTemplateElement xslTemplate,
                      Node sourceXML)

Method Detail

### getRecursionLimit

    public int getRecursionLimit()

  Get the recursion limit. Used for infinite loop check. If the value is -1, do not check for infinite loops. Anyone who wants to enable that check should change the value of this variable to be the level of recursion that they want to check. Be careful setting this variable, if the number is too low, it may report an infinite loop situation, when there is none. Post version 1.0.0, we'll make this a runtime feature.

### setRecursionLimit

    public void setRecursionLimit(int limit)

  Get the recursion limit. Used for infinite loop check. If the value is -1, do not check for infinite loops. Anyone who wants to enable that check should change the value of this variable to be the level of recursion that they want to check. Be careful setting this variable, if the number is too low, it may report an infinite loop situation, when there is none. Post version 1.0.0, we'll make this a runtime feature.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### print

    public void print(java.io.PrintWriter pw)

### checkForInfinateLoop

    public void checkForInfinateLoop(StackGuard guard)
                              throws SAXException

### push

    public void push(ElemTemplateElement xslTemplate,
                     Node sourceXML)
              throws SAXException

### pop

    public void pop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.